---
type: api
title: Get value list items
description: Get all value list items in the specified list.
url: https://www.elastic.co/elastic/docs-builder/docs/4371/api/doc/kibana/v0/operation/operation-findlistitems
resource: https://www.elastic.co/elastic/docs-builder/docs/4371/api/doc/kibana/v0/operation/operation-findlistitems
products:
  - Kibana
---

# Get value list items

- Server: `https://{kibana_url}`

## Paths

- `GET` `/api/lists/items/_find`

- [Api key auth](/elastic/docs-builder/docs/4371/api/doc/kibana/v0/authentication#apikeyauth)
- [Basic auth](/elastic/docs-builder/docs/4371/api/doc/kibana/v0/authentication#basicauth)

## Description

Get all value list items in the specified list.

## Query String Parameters

- `list_id` (string · min: 1)
  Parent value list's `id` to page through items for.
- `page` (integer)
  The page number to return.
- `per_page` (integer)
  The number of list items to return per page.
- `sort_field` (string · min: 1)
  Determines which field is used to sort the results.
- `sort_order` (enum)
  Determines the sort order, which can be `desc` or `asc`
  Values: `desc`, `asc`
- `cursor` (string · min: 1)
  Opaque cursor returned in a previous response; pass it to continue listing from the next page. Omit on the first request.
- `filter` (string)
  Filters the returned results according to the value of the specified field,
using the <field name>:<field value> syntax.

## Responses

#### `200`

Successful response

`application/json`

- `cursor` (string · min: 1)
  Returns the items that come after the last item returned in the previous call (use the `cursor` value returned in the previous call). This parameter uses the `tie_breaker_id` field to ensure all items are sorted and returned correctly.
- `data` ([] object)
  - `_version` (string)
    The version id, normally returned by the API when the document is retrieved. Use it ensure updates are done against the latest version.
  - `@timestamp` (string)
  - `created_at` (string)
    Autogenerated date of object creation.
  - `created_by` (string)
    Autogenerated value - user that created object.
  - `id` (string · min: 1)
    Value list item's identifier.
  - `list_id` (string · min: 1)
    Value list's identifier.
  - `meta` (object)
    Placeholder for metadata about the value list item.
  - `tie_breaker_id` (string)
    Field used in search to ensure all containers are sorted and returned correctly.
  - `type` (enum)
    Specifies the Elasticsearch data type of excludes the list container holds. Some common examples:

- `keyword`: Many ECS fields are Elasticsearch keywords
- `ip`: IP addresses
- `ip_range`: Range of IP addresses (supports IPv4, IPv6, and CIDR notation)
    Values: `binary`, `boolean`, `byte`, `date`, `date_nanos`, `date_range`, `double`, `double_range`, `float`, `float_range`, `geo_point`, `geo_shape`, `half_float`, `integer`, `integer_range`, `ip`, `ip_range`, `keyword`, `long`, `long_range`, `shape`, `short`, `text`
  - `updated_at` (string)
    Autogenerated date of last object update.
  - `updated_by` (string)
    Autogenerated value - user that last updated object.
  - `value` (string · min: 1)
    The value used to evaluate exceptions.
- `page` (integer · min: 0)
- `per_page` (integer · min: 0)
- `total` (integer · min: 0)
#### `400`

Invalid input data response

`application/json`

One of:
- **PlatformErrorResponse**
  - `error` (string)
  - `message` (string)
  - `statusCode` (integer)
- **SiemErrorResponse**
  - `message` (string)
  - `status_code` (integer)
#### `401`

Unsuccessful authentication response

`application/json`

- `error` (string)
- `message` (string)
- `statusCode` (integer)
#### `403`

Not enough privileges response

`application/json`

- `error` (string)
- `message` (string)
- `statusCode` (integer)
#### `500`

Internal server error response

`application/json`

- `message` (string)
- `status_code` (integer)
## Code Examples

#### Console

```console
GET /api/lists/items/_find?list_id={list_id}
```

#### curl

```curl
curl -X GET "https://{kibana_url}/api/lists/items/_find?list_id={list_id}"
```

## Response Examples

#### Ip

```json
{
  "cursor": "WzIwLFsiYjU3Yzc2MmMtMzAzNi00NjVjLTliZmItN2JmYjVlNmU1MTVhIl1d",
  "data": [
    {
      "_version": "WzAsMV0=",
      "@timestamp": "2025-01-08T04:59:06.154Z",
      "created_at": "2025-01-08T04:59:06.154Z",
      "created_by": "elastic",
      "id": "21b01cfb-058d-44b9-838c-282be16c91cc",
      "list_id": "ip_list",
      "tie_breaker_id": "b57c762c-3036-465c-9bfb-7bfb5e6e515a",
      "type": "ip",
      "updated_at": "2025-01-08T04:59:06.154Z",
      "updated_by": "elastic",
      "value": "127.0.0.1"
    }
  ],
  "page": 1,
  "per_page": 20,
  "total": 1
}
```

#### Bad

```json
{
  "error": "Bad Request,",
  "message": "[request query]: list_id: Required",
  "statusCode": "400,"
}
```

#### Unauthorized

```json
{
  "error": "Unauthorized",
  "message": "[security_exception\\n\\tRoot causes:\\n\\t\\tsecurity_exception: unable to authenticate user [elastic] for REST request [/_security/_authenticate]]: unable to authenticate user [elastic] for REST request [/_security/_authenticate]",
  "statusCode": 401
}
```

#### Forbidden

```json
{
  "error": "Forbidden",
  "message": "API [GET /api/lists/items/_find?list_id=ip_list\u0026page=1\u0026per_page=20] is unauthorized for user, this action is granted by the Kibana privileges [lists-read]",
  "statusCode": 403
}
```

#### Server error

```json
{
  "message": "Internal Server Error",
  "status_code": 500
}
```

